=== debian/changelog ===
vzpkg2 (1.0.0) unstable; urgency=low
  * Updated copyrights.

  * Add support for generating templates without pkg-cacher.

  * Changed defaults to work with pkg-cacher running as a cgi script or 
    stand-alone.

 -- Robert Nelson <robertn@the-nelsons.org>  Mon, 01 Dec 2008 21:16:14 -0800

vzpkg2 (0.9.5) unstable; urgency=low
  * Fix read_vz_conf return code so it doesn't cause "set -e" scripts to fail.

 -- Robert Nelson <robertn@the-nelsons.org>  Wed, 17 Sep 2008 21:04:02 -0700

vzpkg2 (0.9.4) unstable; urgency=low
  * Use vzpkg.conf for global settings rather than vz.conf.
  * Use correct scripts directory on 64 bit systems
  * Change processing of vzpkg.conf files to allow more specific ones to override
    values from less specific ones.
  * Automatically set VZPKG_CACHE_HOST during install.
  * Add manual page for vzpkg.conf.
  * Update vzpkgcache manual page.

 -- Robert Nelson <robertn@the-nelsons.org>  Tue, 16 Sep 2008 09:36:12 -0700

vzpkg2 (0.9.3) unstable; urgency=low
  * Fix intermittent problem with tar failing due to building archive in current directory.

 -- Robert Nelson <robertn@the-nelsons.org>  Sun, 14 Sep 2008 19:13:35 -0700

vzpkg2 (0.9.2) unstable; urgency=low

  * Fix bogus create of /vz/template on Debian.

  * Create /var/lib/rpm if necessary work around Debian install bug.

  * Do a filesystem sync before creating tarball to eliminate tar warnings.

 -- Robert Nelson <robertn@the-nelsons.org>  Sat,  6 Sep 2008 17:40:39 -0700

vzpkg2 (0.9.1) unstable; urgency=low

  * Initial Release on Debian.

 -- Robert Nelson <robertn@the-nelsons.org>  Sat,  6 Sep 2008 17:40:39 -0700
