=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build:

clean:
	dh_testdir
	dh_testroot
	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean 

binary-arch:
	dh_testdir
	dh_testroot

# Build architecture-independent files here.
binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/vzpkg2 install
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

.PHONY: build clean binary binary-arch binary-indep
